atomix_2.14.0-5_amd64.deb


Advertisement

Description

atomix - puzzle game for building molecules out of separate atoms

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name atomix
Package version 2.14.0
Package release 5
Package architecture amd64
Package type deb
Installed size 155 B
Download size 52.92 KB
Official Mirror ftp.br.debian.org
Atomix is an educational game designed for GNOME in which one has to
build molecules, ranging from simple inorganic ones to some extremely
complex organic ones, out of separate atoms.
The first levels can be rather easy, but added complexity always comes
with the next level, so that several minutes (or much longer than that)
can be spent on each single level.

Alternatives

Package Version Architecture Repository
atomix_2.14.0-5_i386.deb 2.14.0 i386 Debian Main
atomix - - -

Requires

Name Value
atomix-data >= 2.14.0-5
libart-2.0-2 >= 2.3.17
libbonobo2-0 >= 2.15.0
libbonoboui2-0 >= 2.15.1
libc6 >= 2.14
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.35.9
libgnome2-0 >= 2.17.3
libgnomecanvas2-0 >= 2.11.1
libgnomeui-0 >= 2.22.0
libgtk2.0-0 >= 2.8.0
libxml2 >= 2.7.4

Download

Type URL
Binary Package atomix_2.14.0-5_amd64.deb
Source Package atomix

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install atomix deb package:
    # sudo apt-get install atomix

Files

Path
/usr/games/atomix
/usr/share/applications/atomix.desktop
/usr/share/doc/atomix/changelog.Debian.gz
/usr/share/doc/atomix/changelog.gz
/usr/share/doc/atomix/copyright
/usr/share/man/man6/atomix.6.gz
/usr/share/menu/atomix
/var/games/atomix.scores

Changelog

2013-06-22 - Markus Koschany <apo@gambaru.de>
atomix (2.14.0-5) unstable; urgency=low
* [9620aec] debian/rules: Add -lm to LDFLAGS.
Thanks to David Suárez for the report. (Closes: #713464)
2013-02-03 - Markus Koschany <apo@gambaru.de>
atomix (2.14.0-4) unstable; urgency=low
* Add Breaks and Replaces relation to atomix-data because atomix-icon.xpm
has been moved from the atomix to the atomix-data package. This prevents
atomix from failing to upgrade from Testing to Unstable. Thanks Andreas
Beckmann for the report. (Closes: #699682)
2013-01-30 - Markus Koschany <apo@gambaru.de>
atomix (2.14.0-3) unstable; urgency=low
* New Maintainer. (Closes: #698269)
* debian/control:
- Remove obsolete DM-Upload-Allowed flag.
- Drop cdbs from Build-Depends.
- Bump Standards-Version to 3.9.4, no changes required.
- atomix-binary-package: Remove Replaces: atomix-data (<< 2.13.3). After
seven years, it is no longer needed.
- Update package description for atomix-data.
- Add Suggests: atomix to atomix-data.
- Add autotools-dev and gnome-common to Build-Depends. The latter is a
substitution for gettext.
- Add Homepage field and point to Debian's wiki because the old homepage is
no longer available.
- Add Vcs-fields. Atomix will be maintained in a git repository from now
on.
* Remove atomix-data.dirs, it is not needed.
* Update debian/copyright to copyright format 1.0.
* Refresh the patches. Add keywords to desktop file and rename the patch
extensions from .diff to .patch.
* Replace the low resolution icon with the high resolution atomix-logo.
* debian/rules:
- Use dh sequencer to simplify debian/rules.
- Build with --parallel and autotools_dev addon.
- Enable all hardening build flags.
- Build with -Wl, --as-needed to avoid unnecessary dependencies.
* Improve the manpage, add missing OPTIONS, remove discouraged AUTHOR
section.
* Install architecture-independent data to /usr/share/games/atomix and
symlink to it from /usr/share/atomix so that it won't be necessary to
patch the build system.
2012-06-17 - Guilherme de Siqueira Pastore <gpastore@debian.org>
atomix (2.14.0-2) unstable; urgency=low
* Incorporated the non-maintainer upload (Closes: #571552). Thanks, Peter!
* Updated for source package format 3.0 (quilt).
- moved the patch applied with the NMU to patches/about.diff, with a small
change to remove the GtkDialog pointer declaration.
* watch: updated for version 3 and atomix 2.14 (Closes: #529098).
* control:
- use ${source:Version} for versioned dependency on atomix-data so as
not to break binary-only uploads (Closes: #677879);
- declared dependencies on ${misc:Depends};
- tweaked package description, bumped Standards-Version and allowed for
uploads by Debian Maintainers.
* compat: bumped debhelper compatibility level to 9, with the corresponding
versioned build-dependency in the control file, but no other changes.
* atomix-data.install: removed usr/share/doc/* from the list, as atomix
installs nothing there.
* atomix.6: minor tweaks to the manpage.
* patches/desktop.diff: minor changes to the desktop entry.
* atomix.{postinst,postrm}: set the -e flag
2010-02-25 - Petter Reinholdtsen <pere@debian.org>
atomix (2.14.0-1.1) unstable; urgency=low
* Non-maintainer upload.
* Improve long title in menu (Closes: #445127).  Thanks to Bill
Allombert for the text proposal.
* Fix close button in about dialog (Closes: #495714).  Thanks to
Marshall Scorcio and Ubuntu for the patch.  Adjusted home page URL
to a working one.
* Make sure desktop file is in the atomix package next to the Debian
menu file (Closes: #570526).
* Add manual page (Closes: 490259).  Thanks to Mike Ayers for the content.
2006-04-18 - Guilherme de S. Pastore <gpastore@debian.org>
atomix (2.14.0-1) unstable; urgency=low
* New upstream release
* debian/control: updated my e-mail address

See Also

Package Description
atool_0.39.0-3_all.deb tool for managing file archives of various types
atop_1.26-2_amd64.deb Monitor for system resources and process activity
atp_1.2-11_amd64.deb text to PostScript converter with some C syntax highlighting
atril-common_1.8.1+dfsg1-4+deb8u1_all.deb MATE document viewer (common files)
atril_1.8.1+dfsg1-4+deb8u1_amd64.deb MATE document viewer
ats-lang-anairiats-doc_0.2.11-1_all.deb Documentation for the ATS compiler Anairiats
ats-lang-anairiats-examples_0.2.11-1_all.deb Examples for the ATS compiler Anairiats
ats-lang-anairiats_0.2.11-1_amd64.deb Legacy ATS v1 language compiler, named Anairiats
ats2-lang_0.1.3-1_amd64.deb ATS version 2 programming language compiler
atsar_1.7-2_amd64.deb system activity reporter
attal-themes-medieval_1.0~rc2.dfsg1-1_all.deb medieval theme for attal
attal_1.0~rc2-2_amd64.deb turn-based strategy game
attic_0.13-1_amd64.deb deduplicating backup program
attr_2.4.47-2_amd64.deb Utilities for manipulating filesystem extended attributes
aubio-tools_0.4.1-2+b2_amd64.deb library for audio segmentation -- utilities
Advertisement
Advertisement